Skip to main content
PATCH
/
v1
/
flow
/
tools
/
{tool_id}
curl --request PATCH \ --url https://flow.seekr.com/v1/flow/tools/{tool_id} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "my file search tool", "description": "contains files about ", "config": { "file_search_index": "my-document-index", "top_k": 10, "score_threshold": 0.7 } } '
{
  "id": "<string>",
  "name": "<string>",
  "config": {
    "FILE_SEARCH_INDEX": "<string>",
    "EMBEDDING_MODEL": "<string>",
    "TOP_K": 10,
    "SCORE_THRESHOLD": 0
  },
  "user_id": "<string>",
  "team_id": "<string>",
  "version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "type": "file_search"
}
Tool type cannot be changed after creation. If you include the type field in your request, it must match the existing tool type.
❗ Important Tool updates propagate immediately to all agents using the tool.

MCP connector

You can update name and description. If you need to connect to a different server or change credentials, create a new MCP connector tool and update your agent’s tool_ids.

Agent as tool

You can update name and description. The underlying sub-agent cannot be changed. To use a different sub-agent, create a new agent-as-tool for that sub-agent.

Authorizations

Authorization
string
header
required

Seekr API Key without 'Bearer' Prefix

Path Parameters

tool_id
string
required

Body

application/json
name
string | null
description
string | null
type
enum<string> | null
Available options:
file_search,
web_search,
run_python,
agent_as_tool,
mcp_connector
config
Config · object

Response

Successful Response

id
string
required
name
string
required
config
FileSearchConfig · object
required
user_id
string
required
team_id
string | null
required
status
enum<string>
required
Available options:
Active,
Inactive,
Deprecated,
Pending_authorization,
Failed
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
type
string
default:file_search
Allowed value: "file_search"
Last modified on June 18, 2026